package com.bocloud.cmp.model.storage;

import java.util.List;

public class StorageViewModel {
    private String storageUuid; // 所属集群uuid
    private String storageKeyPath; // 所属集群Path
    private String viewUuid; // 唯一标识
    private String keyPath; // smis用来传参
    private String name; // 名称
    private String status;
    private StorageGroupModel volumeGroup; // 该映射视图的卷组，华为存储在用
    private StorageGroupModel hostGroup; // 该映射视图的主机组，华为存储在用
    private StorageGroupModel portGroup; // 该映射视图的端口组，华为存储在用
    private List<String> wwpns; // 该映射视图的WWPN，EMC存储在用

    public String getStorageUuid() {
        return storageUuid;
    }

    public void setStorageUuid(String storageUuid) {
        this.storageUuid = storageUuid;
    }

    public String getStorageKeyPath() {
        return storageKeyPath;
    }

    public void setStorageKeyPath(String storageKeyPath) {
        this.storageKeyPath = storageKeyPath;
    }

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getViewUuid() {
        return viewUuid;
    }

    public void setViewUuid(String viewUuid) {
        this.viewUuid = viewUuid;
    }

    public StorageGroupModel getVolumeGroup() {
        return volumeGroup;
    }

    public void setVolumeGroup(StorageGroupModel volumeGroup) {
        this.volumeGroup = volumeGroup;
    }

    public StorageGroupModel getHostGroup() {
        return hostGroup;
    }

    public void setHostGroup(StorageGroupModel hostGroup) {
        this.hostGroup = hostGroup;
    }

    public StorageGroupModel getPortGroup() {
        return portGroup;
    }

    public void setPortGroup(StorageGroupModel portGroup) {
        this.portGroup = portGroup;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<String> getWwpns() {
        return wwpns;
    }

    public void setWwpns(List<String> wwpns) {
        this.wwpns = wwpns;
    }
}
